-module(ea11).
-export([start/1, next/0, stop/0]).

start(Node) ->
    global:register_name(natgen,
        spawn(Node, fun() -> loop(1) end)).

stop() ->
    global:send(natgen, stop).

next() ->
    global:send(natgen, {next, self()}),
    receive
        N -> N
        after 500 -> error
    end.

loop(Num) ->
    receive
        stop ->
            error_logger:info_report("Megallt");
        {next, From} when is_pid(From) ->
            io:format("Next: ~b~n", [Num]),
            From ! Num,
            loop(Num+1)
    end.
