-module(ea9).
-export([run/0, msg/2, stop/1]).

run() ->
    spawn(fun loop/0).

msg(P, S) when is_list(S) ->
    P ! {szoveg, S}.

stop(P) ->
    P ! stop.

loop() ->
    receive
        stop ->
            stop();
        {szoveg, S} when is_list(S) ->
            io:format("Msg: ~s~n", [S]),
            loop()
        after 30000 ->
            error_logger:warning_msg("Timeout"),
            stop()
    end.

stop() ->
    error_logger:info_report("Megallt."),
    ok.
