-module(ea10).
-export([start/0, next/0, stop/0]).

start() ->
    register(natgen, spawn(fun() -> loop(1) end)).

stop() ->
    natgen ! stop.

next() ->
    natgen ! {next, self()},
    receive
        N -> N
        after 500 -> error
    end.

loop(Num) ->
    receive
        stop ->
            error_logger:info_report("Megallt");
        {next, From} when is_pid(From) ->
            From ! Num,
            loop(Num+1)
    end.
