-module(ea2).
-export([func/2, elag/1, elso/1]).

func(A, B) ->
    C = A+B,
    C.

elag(P) ->
    case P of
        0 ->
            nulla;
        {_, _} ->
            kettes;
        [Head | Tail] when length(Tail)>0 ->
            {lista, Head}
    end.

elso(P) ->
    case P of
        Tup when is_tuple(Tup) ->
            E = element(1, Tup),
            E+1;
        Lst when is_list(Lst) ->
            E = hd(Lst),
            E+1
    end.

